"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CacheMock = void 0;
const typescript_helper_functions_1 = require("typescript-helper-functions");
const NodeCache = require("node-cache");
class CacheMock extends typescript_helper_functions_1.BaseMock {
    constructor() {
        super(...arguments);
        this.Delete = 1;
        this.Get = { key: 'value' };
        this.Set = true;
    }
    CreateMock(returnError) {
        const rejectResponse = new Error(`Cache Error`);
        const responses = {
            del: {
                response: () => {
                    return returnError ? rejectResponse : this.Delete;
                },
            },
            flushAll: {
                response: () => {
                    return returnError ? rejectResponse : undefined;
                },
            },
            get: {
                response: () => {
                    return returnError ? rejectResponse : this.Get;
                },
            },
            set: this.Set,
        };
        let functions = new NodeCache();
        functions = {
            del: () => this.Delete,
            flushAll: () => responses.flushAll,
            get: () => responses.get,
            set: () => responses.set,
        };
        return functions;
    }
}
exports.CacheMock = CacheMock;
//# sourceMappingURL=mock.js.map